
From: Jeff Dike <jdike@addtoit.com>

This fixes UML's sys_call_table to delete some entries for system calls
which have not yet made it into mainline from -mm.

I also delete UML's __pud_alloc implementation since the memory.c one is
now enabled.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/sys_call_table.c |   14 +-------------
 25-akpm/include/asm-um/pgtable.h        |    6 ------
 2 files changed, 1 insertion(+), 19 deletions(-)

diff -puN arch/um/kernel/sys_call_table.c~uml-compile-fixes arch/um/kernel/sys_call_table.c
--- 25/arch/um/kernel/sys_call_table.c~uml-compile-fixes	2005-02-04 02:11:48.978892544 -0800
+++ 25-akpm/arch/um/kernel/sys_call_table.c	2005-02-04 02:11:48.984891632 -0800
@@ -20,7 +20,7 @@
 #define NFSSERVCTL sys_ni_syscall
 #endif
 
-#define LAST_GENERIC_SYSCALL __NR_vperfctr_read
+#define LAST_GENERIC_SYSCALL __NR_keyctl
 
 #if LAST_GENERIC_SYSCALL > LAST_ARCH_SYSCALL
 #define LAST_SYSCALL LAST_GENERIC_SYSCALL
@@ -52,13 +52,7 @@ extern syscall_handler_t sys_vserver;
 extern syscall_handler_t sys_mbind;
 extern syscall_handler_t sys_get_mempolicy;
 extern syscall_handler_t sys_set_mempolicy;
-extern syscall_handler_t sys_sys_kexec_load;
 extern syscall_handler_t sys_sys_setaltroot;
-extern syscall_handler_t sys_vperfctr_open;
-extern syscall_handler_t sys_vperfctr_control;
-extern syscall_handler_t sys_vperfctr_unlink;
-extern syscall_handler_t sys_vperfctr_iresume;
-extern syscall_handler_t sys_vperfctr_read;
 
 syscall_handler_t *sys_call_table[] = {
 	[ __NR_restart_syscall ] = (syscall_handler_t *) sys_restart_syscall,
@@ -273,7 +267,6 @@ syscall_handler_t *sys_call_table[] = {
 	[ __NR_mq_timedreceive ] = (syscall_handler_t *) sys_mq_timedreceive,
 	[ __NR_mq_notify ] = (syscall_handler_t *) sys_mq_notify,
 	[ __NR_mq_getsetattr ] = (syscall_handler_t *) sys_mq_getsetattr,
-	[ __NR_sys_kexec_load ] = (syscall_handler_t *) sys_kexec_load,
 	[ __NR_waitid ] = (syscall_handler_t *) sys_waitid,
 #if 0
 	[ __NR_sys_setaltroot ] = (syscall_handler_t *) sys_sys_setaltroot,
@@ -281,11 +274,6 @@ syscall_handler_t *sys_call_table[] = {
 	[ __NR_add_key ] = (syscall_handler_t *) sys_add_key,
 	[ __NR_request_key ] = (syscall_handler_t *) sys_request_key,
 	[ __NR_keyctl ] = (syscall_handler_t *) sys_keyctl,
-	[ __NR_vperfctr_open ] = (syscall_handler_t *) sys_vperfctr_open,
-	[ __NR_vperfctr_control ] = (syscall_handler_t *) sys_vperfctr_control,
-	[ __NR_vperfctr_unlink ] = (syscall_handler_t *) sys_vperfctr_unlink,
-	[ __NR_vperfctr_iresume ] = (syscall_handler_t *) sys_vperfctr_iresume,
-	[ __NR_vperfctr_read ] = (syscall_handler_t *) sys_vperfctr_read,
 
 	ARCH_SYSCALLS
 	[ LAST_SYSCALL + 1 ... NR_syscalls ] = 
diff -puN include/asm-um/pgtable.h~uml-compile-fixes include/asm-um/pgtable.h
--- 25/include/asm-um/pgtable.h~uml-compile-fixes	2005-02-04 02:11:48.980892240 -0800
+++ 25-akpm/include/asm-um/pgtable.h	2005-02-04 02:11:48.984891632 -0800
@@ -155,12 +155,6 @@ extern pte_t * __bad_pagetable(void);
 #define pud_newpage(x)  (pud_val(x) & _PAGE_NEWPAGE)
 #define pud_mkuptodate(x) (pud_val(x) &= ~_PAGE_NEWPAGE)
 
-static inline pud_t fastcall *__pud_alloc(struct mm_struct *mm, pgd_t *pgd,
-					  unsigned long addr)
-{
-	BUG();
-}
-
 #define pages_to_mb(x) ((x) >> (20-PAGE_SHIFT))
 
 #define pmd_page(pmd) phys_to_page(pmd_val(pmd) & PAGE_MASK)
_
